#!/bin/sh

TESTNAME=t02
DGC=/usr/bin/dgc
EXAMPLE=/usr/share/dgc/example.bex
GENLIB=/usr/share/dgc/default.genlib

if [ ! -f $DGC ]; then
    echo "$DGC doesn't exist"
    exit 1
fi

if [ ! -f $EXAMPLE ]; then
    echo "$EXAMPLE doesn't exist"
    exit 1
fi

if [ ! -f $GENLIB ]; then
    echo "$GENLIB doesn't exist"
    exit 1
fi

$DGC -ll -9 $EXAMPLE -lib $GENLIB -oe tmp

TEST=`grep -c "nand2" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "nor2" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c " or2" tmp`
if [ $TEST -ne 5 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c " and2" tmp`
if [ $TEST -ne 4 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "inv1x" tmp`
if [ $TEST -ne 4 ]; then
    echo "$TEST ... failed"
    exit 1
fi

echo "$TESTNAME ... success."
echo "Removing $TESTNAME tmp"
rm tmp
